Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class PortalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.plumtree.remote.prc.PortalException

All Implemented Interfaces:
  java.io.Serializable

public class PortalException
extends java.rmi.RemoteException

Thrown when a remote invocation results in an error on the portal side, usually due to invalid method parameters.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`PortalException()` Constructs a `PortalException` with no detail message.
`PortalException(java.lang.String msg)` Constructs a `PortalException` with a detail message.
`PortalException(java.lang.String msg, java.lang.Throwable cause)` Constructs a `PortalException` with the specified detail message and a nested exception.
`PortalException(java.lang.Throwable cause)` Constructs a `PortalException` with a nested exception.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalException

    public PortalException()

  Constructs a `PortalException` with no detail message.

### PortalException

    public PortalException(java.lang.String msg)

  Constructs a `PortalException` with a detail message.

Parameters:
  `msg` - the detail message

### PortalException

    public PortalException(java.lang.Throwable cause)

  Constructs a `PortalException` with a nested exception.

Parameters:
  `cause` - the nested exception

### PortalException

    public PortalException(java.lang.String msg,
                           java.lang.Throwable cause)

  Constructs a `PortalException` with the specified detail message and a nested exception.

Parameters:
  `msg` - the detail message
  `cause` - the nested exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.